Ask Your Question
0

compilations errors ./colcon_release

asked 2019-06-06 01:44:16 -0500

jose.rincon gravatar image

updated 2019-06-07 05:57:24 -0500

gvdhoorn gravatar image

I followed the instructions from here but the ./colcon_release command give me these errors:

Also, if it compiles can I use the vector_map_converter on my host machine or a docker image is created and I need to access to it in order to use it?

[0.978s] WARNING:colcon.colcon_ros.prefix_path.catkin:The path '/opt/ros/kinetic' in the environment variable CMAKE_PREFIX_PATH seems to be a catkin workspace but it doesn't contain any 'local_setup.' files. Maybe the catkin version is not up-to-date?
Starting >>> autoware_build_flags
Starting >>> autoware_msgs
Starting >>> autoware_config_msgs
Starting >>> tablet_socket_msgs
Starting >>> autoware_system_msgs
Starting >>> autoware_can_msgs
Starting >>> mrt_cmake_modules
Starting >>> gnss
Starting >>> rslidar_msgs
Starting >>> sick_ldmrs_description
Starting >>> sick_ldmrs_msgs
Starting >>> custom_msgs
Finished <<< mrt_cmake_modules [10.6s]
Finished <<< sick_ldmrs_description [10.7s]
Finished <<< autoware_build_flags [10.8s]
Starting >>> vector_map_msgs
Starting >>> lanelet2_core
Starting >>> autoware_map_msgs
Finished <<< rslidar_msgs [12.6s]
Starting >>> libdpm_ttic
Finished <<< autoware_can_msgs [12.8s]
Starting >>> rslidar_driver
Finished <<< sick_ldmrs_msgs [13.3s]
Finished <<< gnss [13.4s]
Starting >>> sick_ldmrs_driver
Starting >>> ds4_driver
Finished <<< tablet_socket_msgs [13.7s]
Starting >>> ds4_msgs
Finished <<< autoware_system_msgs [14.5s]
Starting >>> autoware_health_checker
Finished <<< custom_msgs [18.1s]
Starting >>> gazebo_camera_description
Finished <<< autoware_config_msgs [26.2s]
Starting >>> gazebo_imu_description
[Processing: autoware_health_checker, autoware_map_msgs, autoware_msgs, ds4_driver, ds4_msgs, gazebo_camera_description, gazebo_imu_description, lanelet2_core, libdpm_ttic, rslidar_driver, sick_ldmrs_driver, vector_map_msgs]
Finished <<< autoware_msgs [59.5s]
Starting >>> astar_search
Finished <<< ds4_driver [49.7s]
Finished <<< ds4_msgs [49.5s]
Starting >>> amathutils_lib
Starting >>> runtime_manager
Finished <<< autoware_map_msgs [52.3s]
Starting >>> tablet_socket
--- stderr: libdpm_ttic
/home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp: In function ‘int main()’:
/home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:61:3: warning: ‘CUresult cuDeviceComputeCapability(int, int*, CUdevice)’ is deprecated [-Wdeprecated-declarations]
cuDeviceComputeCapability(&major, &minor, devHandle);
^
In file included from /home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:21:0:
/usr/local/cuda/bin/../targets/x86_64-linux/include/cuda.h:3034:36: note: declared here
__CUDA_DEPRECATED CUresult CUDAAPI cuDeviceComputeCapability(int major, int minor, CUdevice dev);
^
/home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:61:3: warning: ‘CUresult cuDeviceComputeCapability(int, int, CUdevice)’ is deprecated [-Wdeprecated-declarations]
cuDeviceComputeCapability(&major, &minor, devHandle);
^
In file included from /home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:21:0:
/usr/local/cuda/bin/../targets/x86_64-linux/include/cuda.h:3034:36: note: declared here
__CUDA_DEPRECATED CUresult CUDAAPI cuDeviceComputeCapability(int major, int minor, CUdevice dev);
^
/home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:61:54: warning: ‘CUresult cuDeviceComputeCapability(int, int, CUdevice)’ is deprecated [-Wdeprecated-declarations]
cuDeviceComputeCapability(&major, &minor, devHandle);
^
In file included from /home/ascent/Autoware/ros/src/computing/perception/detection/vision_detector/libs/dpm_ttic/util/capability_version_checker.cpp:21:0:
/usr/local/cuda/bin/../targets/x86_64-linux/include/cuda.h:3034:36: note: declared here
__CUDA_DEPRECATED CUresult CUDAAPI cuDeviceComputeCapability(int *major, int *minor, CUdevice dev);
^
ptxas warning : Stack size for entry function 'dt1d_y' cannot ...
(more)
edit retag flag offensive close merge delete

Comments

In the future, can you please use the preformatted text (101010) button to format any code or terminal output? That'll make your text easier to read

jayess gravatar imagejayess ( 2019-06-06 01:52:45 -0500 )edit

What CUDA version do you have installed?

Geoff gravatar imageGeoff ( 2019-06-06 02:37:32 -0500 )edit
1

@jose.rincon: Please do not post answers unless you are actually answering your own question. For everything else, use comments or edit your original question.

gvdhoorn gravatar imagegvdhoorn ( 2019-06-07 05:58:15 -0500 )edit

Please read my answer again. You must use CUDA version exactly 9.0, not 7.5 and not 10.1 and not even 9.2. For why, please ask NVIDIA why they keep changing their API.

Geoff gravatar imageGeoff ( 2019-06-13 04:07:40 -0500 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2019-06-06 17:59:05 -0500

Geoff gravatar image

Your version of CUDA is too old. You must use CUDA version 9.0.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-06-06 01:44:16 -0500

Seen: 128 times

Last updated: Jun 07